LibreOffice: XSSOPasswordCache Interface Reference

LibreOffice LibreOffice 25.2 SDK API Reference |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XSSOPasswordCache Interface Referencepublished

supports password caching for security mechanisms which use passwords as credentials or as an input to credential creation but don't have an external method to cache these passwords. More...

`import "XSSOPasswordCache.idl";`

Inheritance diagram for XSSOPasswordCache:

## Public Member Functions
void | addPassword ([in] string UserName, [in] string Password, [in] boolean Persist) raises ( InvalidArgumentException, PersistenceFailureException )
| adds a username/password combination to the cache.
string | getPassword ([in] string UserName, [out] boolean Persist) raises ( InvalidArgumentException, PersistenceFailureException )
| retrieves a password for a given user from the cache.
void | removePassword ([in] string UserName, [in] boolean RemovePersist) raises ( InvalidArgumentException, PersistenceFailureException )
| removes a password from the cache
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

supports password caching for security mechanisms which use passwords as credentials or as an input to credential creation but don't have an external method to cache these passwords.

Since
  OOo 1.1.2

## Member Function Documentation

## ◆ addPassword()

void addPassword | ( | [in] string | UserName,
|  | [in] string | Password,
|  | [in] boolean | Persist )
raises | ( | InvalidArgumentException,
|  | PersistenceFailureException ) |  |  |

adds a username/password combination to the cache.

If an entry for the specified username already exists in the cache, it will be overwritten.

Parameters

  UserName | the user name to add
  Password | the associated password
  Persist | indicates whether or not the username/password combination should be persisted

## ◆ getPassword()

string getPassword | ( | [in] string | UserName,
|  | [out] boolean | Persist )
raises | ( | InvalidArgumentException,
|  | PersistenceFailureException ) |  |  |

retrieves a password for a given user from the cache.

Non persistent cache is searched first, followed by the persistent cache ( if it exists ).

Parameters

  UserName | the name of the user whose password should be retrieved
  Persist | indicates whether or not the password is persistent

Returns
  the required password

## ◆ removePassword()

void removePassword | ( | [in] string | UserName,
|  | [in] boolean | RemovePersist )
raises | ( | InvalidArgumentException,
|  | PersistenceFailureException ) |  |  |

removes a password from the cache

Parameters

  UserName | the name of the user whose password should be removed.
  RemovePersist | indicates whether or not the password should also be removed, if present, from persistent cache.

The documentation for this interface was generated from the following file:

- com/sun/star/auth/XSSOPasswordCache.idl